> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Templates item by id



## OpenAPI

````yaml get /api/custom_templates/{template_id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/custom_templates/{template_id}/:
    get:
      tags:
        - custom_templates
      operationId: custom_templates_retrieve
      parameters:
        - in: path
          name: template_id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Custom Template.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomTemplateDetail'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    CustomTemplateDetail:
      type: object
      properties:
        template_id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        preview:
          type: string
          readOnly: true
        variables:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/VariableDetail'
          readOnly: true
        aspect_ratio:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
      required:
        - aspect_ratio
        - created_at
        - name
        - preview
        - template_id
        - updated_at
        - variables
    VariableDetail:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/VariableDetailTypeEnum'
          description: |-
            Type of the variable

            * `image` - Image file with a URL
            * `video` - Video file with a URL
            * `audio` - Audio file with a URL
            * `text` - Scene text or overlay text with content.
            * `avatar` - Avatar with a unique ID.
            * `voiceover` - Voiceover with an associated voice ID.
      required:
        - type
    VariableDetailTypeEnum:
      enum:
        - image
        - video
        - audio
        - text
        - avatar
        - voiceover
      type: string
      description: |-
        * `image` - Image file with a URL
        * `video` - Video file with a URL
        * `audio` - Audio file with a URL
        * `text` - Scene text or overlay text with content.
        * `avatar` - Avatar with a unique ID.
        * `voiceover` - Voiceover with an associated voice ID.
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````